#!/bin/sh

PRINTER_MODEL=DTC4000
VERSION=1.0.1.8
ARCHIVE_NAME=fargo${PRINTER_MODEL}_x64.tar.gz


# check for libusb 
# find / | grep libusb-1.0.so
libusb=`find /lib /usr/lib /usr/local/lib /usr/lib64 -name libusb-1.0.so* 2>/dev/null`
if [ "${libusb}" = "" ]; then
  echo 
  echo "Libusb-1.0 has not been found"
  echo "Retry with appropriate user or install libusb-1.0."
else

  # install the driver
  tar -P -xvzf ${ARCHIVE_NAME}
  echo 
  echo "The driver files have been copied"
  echo "to the appropriate location"
  echo "Please use the CUPS adminstrative interface"
  echo "to add the printer to your system"


  # check for udevadmin
  localudevadm=`which udevadm`
  if [ "${localudevadm}" = "" ]; then
    echo 
    echo "Your system needs to be restarted"
    echo "to use the bidirectional features of the driver"
  else
    udevadm trigger
  fi

fi

echo 


